4.51.00.10 - Edge for Private Cloud release notes

You're viewing Apigee Edge documentation.
View Apigee X documentation.

On September 28, 2022, we released a new version of Apigee Edge for Private Cloud.

Note: This version will be supported until September 28, 2023.

Update procedure

Updating this release will update the components in the following list of RPMs:

  • edge-gateway-4.51.00-0.0.60174.noarch.rpm
  • edge-management-server-4.51.00-0.0.60174.noarch.rpm
  • edge-message-processor-4.51.00-0.0.60174.noarch.rpm
  • edge-postgres-server-4.51.00-0.0.60174.noarch.rpm
  • edge-qpid-server-4.51.00-0.0.60174.noarch.rpm
  • edge-router-4.51.00-0.0.60174.noarch.rpm
  • edge-ui-4.51.00-0.0.20214.noarch.rpm

You can check the RPM versions you currently have installed, to see if they need to be updated, by entering:

apigee-all version

To update your installation, perform the following procedure on the Edge nodes:

  1. On all Edge nodes:

    1. Clean the Yum repos:
      sudo yum clean all
    2. Download the latest Edge 4.51.00 bootstrap_4.51.00.sh file to /tmp/bootstrap_4.51.00.sh:
      curl https://software.apigee.com/bootstrap_4.51.00.sh -o /tmp/bootstrap_4.51.00.sh
    3. Install the Edge 4.51.00 apigee-service utility and dependencies:
      sudo bash /tmp/bootstrap_4.51.00.sh apigeeuser=uName apigeepassword=pWord

      where uName and pWord are the username and password you received from Apigee. If you omit pWord, you will be prompted to enter it.

    4. Use the source command to execute the apigee-service.sh script:
      source /etc/profile.d/apigee-service.sh
  2. On all Edge nodes, execute the update.sh script for the edge process:
    /opt/apigee/apigee-setup/bin/update.sh -c edge -f configFile
  3. Execute the update.sh script for UI on all nodes;
    /opt/apigee/apigee-setup/bin/update.sh -c UI -f configFile

Security issues fixed

The following is a list of known security issues that have been fixed in this release. To avoid these issues, install the latest version of Edge Private Cloud.

Issue ID Description
CVE-2018-13936

Apache Velocity has been upgraded to version to 2.3 to address CVE-2020-13936.

New features

This release introduces the following new feature:

New custom overrides

Added two custom overrides, conf_http_HTTPTransport.is.replace.toobigline (true or false) and conf_http_HTTPTransport.toobigline.replacement.message to override protocol.http.TooBigLine error if it occurs for incoming northbound requests. When set, a 400 error code will be sent back with error message whatever is configured.

Support for RHEL 8.5 and 8.6

This release adds support for Red Hat Enterprise Linux (RHEL) 8.5 and 8.6.

Changes to supported software

This release adds support for Red Hat Enterprise Linux (RHEL) 8.5 and 8.6.

Deprecations and retirements

There are no new deprecations or retirements in this release.

Bug fixes

This section lists the Private Cloud bugs that were fixed in this release.

Issue ID Description
121239106

Added the default target endpoint https://mocktarget.apigee.net when a proxy is added with no target specified

202826847

An exception was being thrown when debug log was enabled

This has been fixed.
162887376

Transactions were not being monetized because TRP processing was unable to handle Double data type.

This has been fixed.
204207752

Some requests were failing due to empty strings in ExtractVariables

This has been fixed.
221313205

Turning on trace was causing Apigee runtime to skip some asynchronously executed policies

This has been fixed.
139823678

Caching policy was taking too long

This has been fixed.
231686222

Installation of New Edge UI updates to support HTTP/2

191853599

Configurable property added to reduce latency due to roles and permissions service calls

223121250

The wording of the email sent when users are added to an organization has been clarified

Known issues

See Known issues with Edge for Private Cloud for a complete list of known issues.